> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Counterparties

> Returns a list of addresses that the specified address has interacted with.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/address/connections
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/address/connections:
    get:
      tags:
        - Address Information
      summary: Get Address Counterparties
      description: >-
        Returns a list of addresses that the specified address has interacted
        with.
      operationId: getAddressCounterparties
      parameters:
        - name: network
          required: true
          in: query
          description: Network of Address
          schema:
            type: string
        - name: address
          required: true
          in: query
          description: Address to search
          schema:
            type: string
        - name: groupBy
          required: true
          in: query
          description: '"address" mode or "entity" mode'
          schema:
            type: string
        - name: startTime
          required: false
          in: query
          description: Start time
          schema:
            type: string
        - name: endTime
          required: false
          in: query
          description: End time
          schema:
            type: string
      responses:
        '200':
          description: List of addresses that the specified address has interacted with.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressConnection'
components:
  schemas:
    AddressConnection:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        name:
          type: string
        type:
          type: string
        malicous:
          type: boolean
        tags:
          type: object
        is_validator:
          type: boolean
        total_payments:
          type: number
        payment_counts:
          type: array
          items:
            type: object
        earliest_payment:
          type: string
        latest_payment:
          type: string
        last_transaction:
          type: object
          properties:
            time:
              type: string
            amount:
              type: string
            denom:
              type: string
          required:
            - time
            - amount
            - denom
        is_sender:
          type: boolean
        is_receiver:
          type: boolean
      required:
        - address
        - network
        - name
        - type
        - malicous
        - tags
        - is_validator
        - total_payments
        - payment_counts
        - earliest_payment
        - latest_payment
        - last_transaction
        - is_sender
        - is_receiver
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````